Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.list
Class BaseListContents

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementGroup
          net.sf.jasperreports.components.list.BaseListContents

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ListContents, JRChild, JRCloneable, JRElementGroup, JRVisitable

    public class BaseListContents

extends JRBaseElementGroup
implements ListContents

`ListContents` implementation used in compiled reports.

Version:
  $Id: BaseListContents.java 3138 2009-10-22 15:40:22Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup
`children, elementGroup`

Constructor Summary
`protected` | `BaseListContents(ListContents listContents, JRBaseObjectFactory factory)`

Method Summary
`int` | `getHeight()` Returns the height of the list contents.
`java.lang.Integer` | `getWidth()` Returns the width of the list contents.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup
`clone, clone, getChildren, getElementByKey, getElementByKey, getElementGroup, getElements, getElements, visit`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup
`getChildren, getElementByKey, getElementGroup, getElements`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Constructor Detail

### BaseListContents

    protected BaseListContents(ListContents listContents,
                               JRBaseObjectFactory factory)

Method Detail

### getHeight

    public int getHeight()

  Description copied from interface: `ListContents`
  Returns the height of the list contents.

  This value is used as a minimum list item height: if the space left on the page is smaller than the height, then an overflow is triggered and the list item is printed on a new page/column.

  Specified by:
    `getHeight` in interface `ListContents`
  Returns:
    the height of the list contents

### getWidth

    public java.lang.Integer getWidth()

  Description copied from interface: `ListContents`
  Returns the width of the list contents.

  When the list is filled horizontally, several list cells will be placed on the same row one next to another within the width of the list element (unless the list element width is ignored). The width of the list contents will determine how many cells can be placed on a row.

  Specified by:
    `getWidth` in interface `ListContents`
  Returns:
    the width of the list contents
  See Also:
    `ListComponent.getPrintOrder()`, `ListComponent.getIgnoreWidth()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com